Name: x11-font-screen-cyrillic
Version: 1.0.5
Release: %mkrel 2
Summary: Xorg X11 font screen-cyrillic
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/font-screen-cyrillic-%{version}.tar.xz
License: MIT-like
BuildArch: noarch

BuildRequires: x11-font-util >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.2

Conflicts: xorg-x11-cyrillic-fonts <= 6.9.0
Requires: mkfontdir
Requires: mkfontscale

%description
Xorg X11 font screen-cyrillic

%prep
%setup -q -n font-screen-cyrillic-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure --with-fontdir=%_datadir/fonts/cyrillic
%make_build

%install
%make_install
rm -f %{buildroot}%_datadir/fonts/cyrillic/fonts.dir
rm -f %{buildroot}%_datadir/fonts/cyrillic/fonts.scale

%post
mkfontscale %_datadir/fonts/cyrillic
mkfontdir %_datadir/fonts/cyrillic

%postun
mkfontscale %_datadir/fonts/cyrillic
mkfontdir %_datadir/fonts/cyrillic

%files
%license COPYING
%_datadir/fonts/cyrillic/screen8x16*.pcf.gz


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.0.5-2.mga10
+ Revision: 2231085
- Mageia 10 Mass Rebuild

* Fri Dec 06 2024 ns80 <ns80> 1.0.5-1.mga10
+ Revision: 2122103
- new version 1.0.5

* Tue Mar 22 2022 umeabot <umeabot> 1.0.4-10.mga9
+ Revision: 1819689
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 27 2020 wally <wally> 1.0.4-9.mga8
+ Revision: 1561124
- fix build on aarch64

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-8.mga8
+ Revision: 1501277
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-7.mga7
+ Revision: 1277176
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.4-6.mga6
+ Revision: 936389
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 741197
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 690513
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 520354
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 386350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 ahmad <ahmad> 1.0.4-1.mga3
+ Revision: 8144
- imported package x11-font-screen-cyrillic


* Thu Dec 09 2010 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 618746
- new release

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 583222
- new release

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 583215
- new release

* Wed Jan 13 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.2-1mdv2010.1
+ Revision: 490691
- Fix license
- New version: 1.0.2

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-3mdv2009.1
+ Revision: 351272
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 226001
- rebuild
- fix no-buildroot-tag

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 134667
- fix prereq
- kill re-definition of %%buildroot on Pixel's request


* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 86036
- new release

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-4mdv2007.0
+ Revision: 51494
- Fonts packages now are noarch. Moved for new place /usr/share/fonts. Approved by Boiko

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

